summaryrefslogtreecommitdiff
path: root/nonsystemd/nfs-utils-openrc/rpc.statd.initd
diff options
context:
space:
mode:
Diffstat (limited to 'nonsystemd/nfs-utils-openrc/rpc.statd.initd')
-rw-r--r--nonsystemd/nfs-utils-openrc/rpc.statd.initd32
1 files changed, 32 insertions, 0 deletions
diff --git a/nonsystemd/nfs-utils-openrc/rpc.statd.initd b/nonsystemd/nfs-utils-openrc/rpc.statd.initd
new file mode 100644
index 000000000..7a814f904
--- /dev/null
+++ b/nonsystemd/nfs-utils-openrc/rpc.statd.initd
@@ -0,0 +1,32 @@
+#!/usr/bin/openrc-run
+# Copyright 1999-2015 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+
+[ -e /etc/conf.d/nfs ] && . /etc/conf.d/nfs
+
+rpc_bin=/usr/bin/rpc.statd
+rpc_pid=/run/rpc.statd.pid
+
+depend() {
+ use ypbind net
+ need portmap
+ after quota
+}
+
+start() {
+ # Don't start rpc.statd if already started by someone else ...
+ # Don't try and kill it if it's already dead ...
+ if killall -q -0 ${rpc_bin} ; then
+ return 0
+ fi
+
+ ebegin "Starting NFS statd"
+ start-stop-daemon --start --exec ${rpc_bin} -- --no-notify ${OPTS_RPC_STATD}
+ eend $?
+}
+
+stop() {
+ ebegin "Stopping NFS statd"
+ start-stop-daemon --stop --exec ${rpc_bin} --pidfile /run/rpc.statd.pid
+ eend $?
+}